Package org.italiangrid.voms.request.impl

# Class FakeVOMSACService

java.lang.Object
org.italiangrid.voms.request.impl.FakeVOMSACService

All Implemented Interfaces:
  `VOMSACService`

public class FakeVOMSACService extends Object implements VOMSACService

## Method Summary

Modifier and Type
Method
Description
`protected org.bouncycastle.cert.X509AttributeCertificateHolder`
`buildAC(eu.emi.security.authn.x509.X509Credential credential, VOMSACRequest request)`
`ACGenerationParams`
`getAcParams()`
`long`
`getAcSerialNumber()`
`org.bouncycastle.asn1.x509.AttributeCertificate`
`getVOMSAttributeCertificate(eu.emi.security.authn.x509.X509Credential credential, VOMSACRequest request)`
Returns an `AttributeCertificate` given a `VOMSACRequest` for VOMS attributes.
`static FakeVOMSACService`
`newInstance(eu.emi.security.authn.x509.X509Credential aaCredential, ACGenerationParams params, VOMSRequestListener listener)`
`static FakeVOMSACService`
`newInstanceFromProperties(VOMSRequestListener listener)`
`void`
`setAcParams(ACGenerationParams acParams)`
`void`
`setAcSerialNumber(long acSerialNumber)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### buildAC

protected org.bouncycastle.cert.X509AttributeCertificateHolder buildAC(eu.emi.security.authn.x509.X509Credential credential, VOMSACRequest request)

### getVOMSAttributeCertificate

public org.bouncycastle.asn1.x509.AttributeCertificate getVOMSAttributeCertificate(eu.emi.security.authn.x509.X509Credential credential, VOMSACRequest request)
Description copied from interface: `VOMSACService`
Returns an `AttributeCertificate` given a `VOMSACRequest` for VOMS attributes.

Specified by:
  `getVOMSAttributeCertificate` in interface `VOMSACService`
Parameters:
  `credential` - the credential to be used when contacting the service
  `request` - the request for VOMS attributes
Returns:
  a possibly null `AttributeCertificate` containing (a subset of) the requested attributes.

### getAcParams

public ACGenerationParams getAcParams()

### setAcParams

public void setAcParams(ACGenerationParams acParams)

### getAcSerialNumber

public long getAcSerialNumber()

### setAcSerialNumber

public void setAcSerialNumber(long acSerialNumber)

### newInstance

public static FakeVOMSACService newInstance(eu.emi.security.authn.x509.X509Credential aaCredential, ACGenerationParams params, VOMSRequestListener listener)

### newInstanceFromProperties

public static FakeVOMSACService newInstanceFromProperties(VOMSRequestListener listener)